<template>
  <div class="about-card">
    <component :is="componentName" class="svg-icon" />
    <p class="about-card-text">
      {{ text }}
    </p>
  </div>
</template>

<script>
import BarChart from "@/components/blocks/svgs/BarChart.vue";
import Book from "@/components/blocks/svgs/Book.vue";
import Calendar from "@/components/blocks/svgs/Calendar.vue";
import Checked from "@/components/blocks/svgs/Checked.vue";
import Presentation from "@/components/blocks/svgs/Presentation.vue";

export default {
  components: {
    BarChart,
    Book,
    Calendar,
    Checked,
    Presentation
  },
  props: {
    icon: {
      type: String,
      required: true
    },
    text: {
      type: String,
      required: true
    }
  },
  methods: {
    capitalize(str) {
      return str.slice(0, 1).toUpperCase() + str.slice(1);
    }
  },
  computed: {
    componentName() {
      return this.icon
        .split("-")
        .map(word => this.capitalize(word))
        .join("");
    }
  }
};
</script>

<style lang="postcss">
.about-card {
  @apply max-w-9/10 flex flex-col justify-center items-center;
  @apply m-6 p-6;
  box-sizing: border-box;
}

.about-card-text {
  @apply text-center text-xl m-6;
}

.svg-icon {
  @apply max-w-half;
}

@screen md {
  .about-card {
    @apply max-w-4/10;
  }

  .svg-icon {
    @apply max-w-4/10;
  }
}

@screen lg {
  .about-card {
    @apply m-4 max-w-lg;
  }

  .svg-icon {
    @apply max-w-1/5;
  }

  .about-card-text {
    @apply text-base;
    font-size: 1.5rem;
  }
}

@screen xl {
  .about-card {
  }
}
</style>
